Gets a specific agent by its ID for the specified account with all its versions. Returns complete agent metadata and all non-deleted versions (draft, staging, production). locationId is required param
Gets a specific agent by its ID for the specified account with all its versions. Returns complete agent metadata and all non-deleted versions (draft, staging, production). locationId is required parameter. The agent must have active status.
http
GET https://services.leadconnectorhq.com/agent-studio/agent/{agentId}
Authorization
Name
Type
Required
Example
Description
Authorization
string
Yes
Bearer token generated from the Leadway portal. See Authentication.
Version
string
Yes
2021-07-28
API version.
Path parameters
Name
Type
Required
Example
Description
agentId
string
Yes
p1q2r3s4t5u6v7w8x9y0z1a2
Query parameters
Name
Type
Required
Example
Description
locationId
string
Yes
C2QujeCh8ZnC7al2InWR
source
string
No
api
Responses
200 - Agent retrieved successfully
success (boolean, required): Success status Example: True